View Issue Details

IDProjectCategoryView StatusLast Update
0002589SymmetricDSBugpublic2016-05-17 13:01
ReporterrwfullerAssigned Toelong 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.7.33Fixed in Version3.7.33 
Summary0002589: Extracting thousands of batches causes OutOfMemoryError during initial load
DescriptionDuring an initial load on a database that is very large is causing OutOfMemoryError due to issue 0001793 not actually releasing any memory. When the decision is made where the StagedResource's data size is above the threshold then the data is written to a file. Issue 0001793 only sets the internal StringBuilder length to 0, but according to JDK this does not release any memory without the additional call buffer.trimToSize().
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 f6eaed1e

2016-05-06 09:00:52

admin

Details Diff
0002589: Extracting thousands of batches causes OutOfMemoryError during
initial load

0002589
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/ThresholdFileWriter.java Diff File

Issue History

Date Modified Username Field Change
2016-05-04 13:18 rwfuller New Issue
2016-05-06 09:02 elong Assigned To => elong
2016-05-06 09:02 elong Status new => assigned
2016-05-06 09:02 elong Product Version 3.7.32 => 3.6.0
2016-05-06 09:02 elong Fixed in Version => 3.7.33
2016-05-06 09:02 elong Target Version => 3.7.33
2016-05-06 09:02 elong Status assigned => resolved
2016-05-06 09:02 elong Resolution open => fixed
2016-05-06 10:00 admin Changeset attached => SymmetricDS 3.7 f6eaed1e
2016-05-17 13:01 chenson Status resolved => closed